## debputy 0.1.52

=== debian/changelog ===
debputy (0.1.52) unstable; urgency=medium

  * LSP/Lint:
    - Only remove the `X[CBS]-` prefixes from `d/control` field names when
      checking for known fields and duplicated fields.
    - When completing field names, properly account for the `X[CBS]-` prefix
      to avoid recommeding a field that would be considered a duplicate.
    - Add `X-Cargo-Crate` as a known field for `d/control`.
    - Add some `Homepage` related diagnostics for `d/control`. Check for
      insecure protocol and superflouous clutter in the URL/URI similar
      to lintian.

 -- Niels Thykier <niels@thykier.net>  Sun, 13 Oct 2024 12:48:44 +0000

debputy (0.1.51) unstable; urgency=medium

  * LSP/Lint:
    - Textual improvements to hover documentation and completion documentation.
      Thanks to Justin B Rye.
    - Allow exactly 80 chars per line in the extended description
      (Closes: debputy#122)
    - Warn about unknown top-levels in d/upstream/metadata. Previously, they
      were silently ignored unless they were typo-distance to a known field.
      This more closely matches the behavior of lintian.
    - Flag use of `Built-Using`/`Static-Built-Using` in arch:all packages.
      These fields are reserved for arch:any packages.
    - Provide better diagnostic for `>` and `<` version operators. Previously,
      they triggered a "parse error" diagnostic. Now they are identified as
      obsolete version operators with quick-fix suggestion to replace them
      with a non-obsolete counterpart.
    - Fix bug where known values were not always marked as obsolete
    - Fix assertion error on empty `Section:` field
    - Fix a case where completion docs would be on the form of `[TAG]: None`.
      This happened if there was no documentation for the field, but it was
      marked as obsolete or had a usage hint such as "RARE". The `: None` part
      is now omitted for this case leaving only the `[TAG]` part.
    - Mark `main/X` sections as replaced by `X`. The message for this diagnostic
      is a bit more aggressive than it should be but it triggers a warning and
      the proper quick-fix making it a net improvement.
    - Promote the correct section on completion if `debputy` can derive it. This
      is done by fiddling with the sort order, so it will now appear as the first
      completion option.

  [ Niels Thykier ]
  * Improve translation documentation
  * BuildSystemRule: Fix typo of `MESON_TESTTHREADS` and `--wrap-mode=nodownload`

  [ Justin B. Rye ]
  * Improve the hover documentation and completion documentation (those listed
    under `LSP/Lint` above).

 -- Niels Thykier <niels@thykier.net>  Fri, 04 Oct 2024 09:51:13 +0000
