## debputy 0.1.54

=== debian/changelog ===
debputy (0.1.54) unstable; urgency=medium

  * LSP/Lint:
    - Reduce the chance of short dh config stems matching typos.
      This should prevent most false positives "typos" of the
      rarely used `.wm` file (used by `dh_installwm`) that would
      trigger on most other two letter extensions such as `.md`.
      (Closes: debputy#123)
    -  Exclude package names in spellchecking.
       Thanks to Matthias Geiger (@werdahias) (Closes: debputy#124)

  * build system: Automatically derive search dirs from build
    systems
  * Avoid using `debian/.debhelper` for dbgsym packages in full
    integration mode
  * Fix crash bug when combining two environments (could happen
    with some configurations in `debian/debputy.manifest`).
  * Fix crash bug with the `debputy lint` terminal report.

 -- Niels Thykier <niels@thykier.net>  Wed, 04 Dec 2024 21:22:33 +0000

debputy (0.1.53) unstable; urgency=medium

  * LSP/Lint:
    - Enable code actions (quick-fixes) for `d/patches/series`
    - Remove quick-fix for patch not using `.patch` extension. It
      would fail to rename the patch file, meaning it would cause
      the `series` files to be invalid.
    - Fix crash bug caused for (Static-)Built-Using
    - Replace crash bug with a pedantic lint diagnostic for Uploaders
    - Restrict (Static-)Built-Using to `=` version operator
    - Fix confused metadata about `XS-Ruby-Versions` and `X-DhRuby-Root`
    - Recognize `debian/changelog.dch` as a changelog when using filename
      based matching in the `debputy lsp server` mode.
    - Validate Debian version in `debian/changelog` is valid.
    - Downgrade `R³` with `Build-Driver diagnostic` to informational
      (down from a warning).
    - Remove work around in Homepage check for `debputy lint --auto-fix`.
      Previously, there was a guard preventing multiple overlapping
      diagnostics because it would crash `debputy lint --auto-fix`, since
      they both had a quick-fix. This has now been removed since
      `debputy lint --auto-fix` no longer crashes on this case.
    - Provide more validations on the Homepage field of `d/control`
    - Flag use of `|` relations in (Static-)Built-Using
    - Detect `dsfg` typo of `dfsg` in `d/changelog`

  * Provide a how-to guide for using `debputy`'s maintainer support
    features like `debputy lint`, `debputy reformat', and the
    LSP features. The document is provided in
    `/usr/share/doc/dh-debputy`.
  * For very trivial arch:all "docs-only" packages, `debputy` will
    now automatically set `Multi-Arch` to `foreign` if no
    `Multi-Arch` field is set for the package.  The package name
    must end with `-doc` or `-docs` for this change to apply. This
    is to avoid false positives with certain special cases like a
    `Multi-Arch: no` package depending on a `Multi-Arch: same` package
    to emulate `Multi-Arch: allowed` (which has its use-cases).
  * debputy lint: Cope better with overlapping edits for `--auto-fix`
  * debputy lint: Provide better error message on overlapping edit
    in case can still be triggered.

 -- Niels Thykier <niels@thykier.net>  Sat, 09 Nov 2024 14:42:17 +0000
