## debputy 0.1.56

=== debian/changelog ===
debputy (0.1.56) unstable; urgency=medium

  * LSP/Lint: Check for trailing separator in `Maintainer` field.
    (see #1089649)
  * Tweak docs and make bug tracker URLs available on `debputy --help`
  * Fix regex value validation to use the correct interpreter for the
    field.

 -- Niels Thykier <niels@thykier.net>  Fri, 13 Dec 2024 14:13:42 +0000

debputy (0.1.55) unstable; urgency=medium

  * LSP/Lint:
   - Fix crash when no `Source` field was present in `d/control`
   - Use more authoritative references for some diagnostics.  Many
     `debputy` related issues are now correctly reported `Policy X` issues
     instead.
   - Fix typo of `X-Python3-Version`. Thanks
     Colin Watson <cjwatson@debian.org>.

  [ Niels Thykier ]
  * debputy lint: No longer correct spelling mistakes via `--auto-fix`.
    The spell checker had too many false positives, so these are now
    no longer candidates for automatic non-interactive fixing.
  * debputy lint: Include source/authority reference in the diagnostic
    when reporting an issue.

  [ Colin Watson ]
  * Fix `X-Pyton3-Version` typo when reporting `X-Python-Version` as
    as obsolete.

 -- Niels Thykier <niels@thykier.net>  Thu, 12 Dec 2024 17:44:27 +0000
