## debputy 0.1.57~bpo12+1

=== debian/changelog ===
debputy (0.1.57~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Restore autopkgtests now that the relevant dependencies
    are present in -backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies. They are present
      in -backports now but the CI is using stable and
      therefore fails. The relevant dependencies are currently
      1:1 with testing and the CI has working tests for them
      in sid/testing.

 -- Niels Thykier <niels@thykier.net>  Thu, 19 Dec 2024 07:16:06 +0000

debputy (0.1.57) unstable; urgency=medium

  * LSP/Lint:
    - Fix crash/exception on using fields in the wrong stanza of
      `debian/control`.
    - Fix crash/exception on having obsolete fields in deb822 files.
    - Demote "Non-canonical spelling" of field name to `pedantic`
      (LSP `hint`) from `informational`.
    - Improve the hover docs for the `Multi-Arch` field and its
      values. Thanks to Justin B Rye.

  [ Niels Thykier ]
  * Add `.gitignore` to dest directories created when an upstream
    build system creates it to ensure it does not appear in the
    `git status` output. This is safe, since `debputy` always ignores
    `.gitignore` by default in binary packages for any glob/recursive
    matching.
  * Remove `exec` bit from files in `usr/share/themes` when building
    packages.
  * debputy lsp server: Add `--force-locale` option. This can be
    used to ensure that `debputy lsp server` always uses the given
    locale code for translations. This will ignore any locale code
    provided by the editor (if it provides one at all) as well as
    any OS/environ locale setting (that is, LC_ALL et al. is
    ignored). Since there are no translations, so it is not very
    useful immediately.

  [ Justin B Rye ]
  * More textual reviews from d-l10n-english

 -- Niels Thykier <niels@thykier.net>  Mon, 16 Dec 2024 09:51:33 +0000
