## debputy 0.1.58

=== debian/changelog ===
debputy (0.1.58) unstable; urgency=medium

  * debputy reformat: Adopt `wrap-and-sort`'s latest package
    sorting changes. Thanks to Otto Kekäläinen <otto@debian.org>
    (Closes: debputy#127)

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2024 13:42:44 +0000
