## debputy 0.1.59

=== debian/changelog ===
debputy (0.1.59) unstable; urgency=medium

  * LSP/Lint:
    - Replace `XB-Important: yes` with `Protected: yes`
    - Remove `X-Python-Version` rather than replacing it with
      `X-Python3-Version`
    - Correct spelling of `XB-Ruby-Versions` for Package
      stanzas
  * debputy.pod: Improve the man page documentation a bit

 -- Niels Thykier <niels@thykier.net>  Thu, 02 Jan 2025 20:24:49 +0000
