## debputy 0.1.61

=== debian/changelog ===
debputy (0.1.61) unstable; urgency=medium

  * LSP/Lint:
    - Fix crash on some YAML errors and fix off-by-one in error range.
    - Fix false positive "too short synopsis" with `${source:Synopsis}`
    - Document `${source:Synopsis}` and `{source:Extended-Description}`
      substvars.

  [ Andrea Pappacoda ]
  * cmake: pass BUILD_TESTING=OFF when nocheck option is active
  * meson: pass --prefix=/usr to configure and cd to builddir in install
    command.

  [ Niels Thykier ]
  * debputy: Fix crash bug with certain glob patterns.
    Thanks to Andrea Pappacoda <andrea@pappacoda.it> for reporting the
    issue. (Closes: #1093009)
  * debputy reformat: Also react to SALSA_CI_ENABLE_WRAP_AND_SORT.
    It is not documented as the official way to do it, but some
    people use it.

 -- Niels Thykier <niels@thykier.net>  Tue, 14 Jan 2025 19:57:40 +0000

debputy (0.1.60.1) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * cmake: fix lstrip of CFLAGS and CPPFLAGS concatenation.
    (Closes: #1092877)

 -- Niels Thykier <niels@thykier.net>  Sun, 12 Jan 2025 23:30:37 +0000

debputy (0.1.60) unstable; urgency=medium

  * LSP/Lint:
    - Provide doc URIs in substvars hover docs.
    - Make parts of the substvars description translatable.

  * debputy editor-config: Mention `vim-python3` requirement for
    `vim-youcompleteme`. That is, `vim-youcompleteme` needs to be
    be used with a `vim` that provides `vim-python3` such as
    `vim-nox`.
  * debputy: Make `DEBPUTY_DEBUG=1` equal to `--debug` and document it
    as such.  Thanks to Andrea Pappacoda <andrea@pappacoda.it>
  * debputy: Introduce trace logging for internal use. This reduces
    some commonly "noise" such as "context switches" for plugins,
    which is likely not going to be relevant in most situations.
  * debputy: Fix `NoneType` crash in `relative_from_builddir_to_source`
    Thanks to Andrea Pappacoda <andrea@pappacoda.it>
    (Closes: #1092794)
  * cmake build system: Correct definition of `pkg-config`. It now
    uses full path to the `pkg-config` binary like `debhelper`.
  * Fix inverted boolean logic that caused wrong environment
    for the cmake and the meson build systems.

 -- Niels Thykier <niels@thykier.net>  Sun, 12 Jan 2025 15:15:56 +0000
