## debputy 0.1.62

=== debian/changelog ===
debputy (0.1.62) unstable; urgency=medium

  * Improve on-line documentation (`debputy plugin show p-m-r` or
    hover docs in the LSP module for `debputy.manifest` file):
    - Make conditional rules order deterministic. Previously, parts
      were hash-order dependent and could change order between each
      rendering.
    - Fix incorrect reference to manifest variables. Previously,
      the rendering incorrectly used `{FOO}` when it should have
      shown `{{FOO}}`.
    - Fix link anchor to a section.
    - Mention required integration mode for features. Note this
      change only lists the recorded integration mode tags in
      the documentation. However, there may still be some features
      that are still incorreclty tagged as "applicable in all
      integration modes".
    - Improve the docs for build systems and related attributes.
  * MANIFEST-FORMAT.md: Generate a lot of the documentation from
    `debputy` "on-line" docs rendering. This implies changed
    formatting and layout. But also, the MANIFEST-FORMAT.md and
    the online docs are now much more consistent, since most of
    the docs have a single source of truth.
  * MANIFEST-FORMAT.md: Document new build system rules and
    environments. Thanks to Andrea Pappacoda <andrea@pappacoda.it>
    (Closes: debputy#130)
  * INTEGRATION-MODES.md: Tweak some wording
  * debputy: Better error message on missing commands during builds
  * debputy: Fix false-positive "path was not installed" with `-B`/`-A`
    builds. (Closes: debputy#132)
  * debputy: Avoid double-initialization of ENV for auto-detected
    builds. This was just slow (invoked `dpkg-buildflags` twice) and
    provided no benefits.
  * meson: Make `--test` verbose by default to match upcoming
    debhelper update (disabled in `terse` builds).

 -- Niels Thykier <niels@thykier.net>  Fri, 17 Jan 2025 20:21:22 +0000
