## debputy 0.1.63~bpo12+1

=== debian/changelog ===
debputy (0.1.63~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies. They are present
      in -backports now but the CI is using stable and
      therefore fails. The relevant dependencies are currently
      1:1 with testing and the CI has working tests for them
      in sid/testing.

 -- Niels Thykier <niels@thykier.net>  Mon, 27 Jan 2025 08:47:33 +0000

debputy (0.1.63) unstable; urgency=medium

  * LSP/Lint:
    - Fix crash on more invalid YAML files or manifests
    - Support completion detail for `d/debputy.manifest` completions.
      Only select cases have this feature, so you may still see
      completions without a one-line detail about what it is.

  * debputy: Refine the stack-trace shown on plugin initialization errors
  * debputy: Correct logic for passing files to `strip-nondeterminism`
  * debputy reformat: Skip sorting of fields when it would drop a comment
    (Closes: debputy#112)
  * debputy: Fix crash on install rules for packages not being built.
    The change for debputy#132 introduced a regression, where packages not
    being built (such as `arch:all` packages during a `-B` build) could
    trigger a crash when a single install rule matched two or more "root"
    directories that shared a common subdirectory (such as `examples/*`
    with `examples/a/data` and `examples/b/data`).
    Thanks to Abou Al Montacir <abou.almontacir@sfr.fr>
    (Closes: #1093680)
  * debputy: Stop passing `-v` to `strip-nondeterminism`

 -- Niels Thykier <niels@thykier.net>  Tue, 21 Jan 2025 19:08:10 +0000
