## debputy 0.1.65~bpo12+1

=== debian/changelog ===
debputy (0.1.65~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies. They are present
      in -backports now but the CI is using stable and
      therefore fails. The relevant dependencies are currently
      1:1 with testing and the CI has working tests for them
      in sid/testing.

 -- Niels Thykier <niels@thykier.net>  Mon, 10 Mar 2025 22:25:00 +0000

debputy (0.1.65) unstable; urgency=medium

  * LSP/Lint:
    - Skip hover/completion inside Deb822 comments. Generally.
      it ended up triggering for the next content line instead.
    - Improve hover docs for packages when viewed in some editors
      (concretely `kate`). The previous docs worked
      specifically with how `emacs` rendered its Markdown docs.
      However, `emacs`'s method does not reformat text blocks,
      so it does not seem like it was the best editor to test with.
    - Tweak Inlay hint for inherited Deb822 values to make it
      prettier in `kate` and other editors. The previous rendering
      relied on editors to "gracefully" cope with newlines in the
      Inlay Hint label. The specs says nothing about the editor
      should react to those, so it was safer to avoid them.
    - When emitting a code action to the editor, do not provide
      `TextEdit`s in the "old" and the "new" format. Some editors
      (Concretely, `kate`) apply both with exciting but unhelpful
      results. The spec seems implies that the server is at fault
      if this happens, so the bug was probably `debputy`'s to
      begin with.
    - Track diagnostics with full metadata internally in `debputy`.
      This enables quickfixes in editors that either do not inform
      `debputy` of related diagnostics when requesting code actions
      (`kate`) or when the editor does not support the `data`
      attribute in the diagnostic (which the spec allows the editor
      to "not do"). Either way, more editors should now see
      quickfixes with `debputy`'s diagnostics.
    - Fix incorrect duplication warning for `foo` vs. `foo:native`
      when validating package relationships. Thanks to
      Otto Kekäläinen <otto@debian.org> for reporting this problem
      with the new check introduced in 0.1.64.

 -- Niels Thykier <niels@thykier.net>  Sat, 08 Mar 2025 22:14:52 +0000

debputy (0.1.64) unstable; urgency=medium

  * LSP/Lint:
    - Detect simple cases of duplicate relatations.
      Thanks to Matthias Geiger <werdahias@debian.org>
      (Closes: debputy#134)

  [ Vincent Blut ]
  * debputy: Fix command example to show editor snippets
  * debputy.pod: Fix typo in man page
  * deputy lsp editor-config: Fix missing '}' in filetype mapping
    instructions for neovim

  [ Niels Thykier ]
  * Add an rtupdate script to ensure byte-compilation happens on
    python interpreter update.
    Thanks to Stefano Rivera <stefanor@debian.org> (Closes: #1099543)
  * debputy lint: Print the related context when provided
  * Fix type error/crash with certain diagnostics

 -- Niels Thykier <niels@thykier.net>  Fri, 07 Mar 2025 16:32:31 +0000
