## debputy 0.1.66

=== debian/changelog ===
debputy (0.1.66) unstable; urgency=medium

  * LSP/Lint:
    - Ensure `dh_assistant` is run from the current source package root.
      This could cause false positive and false negative diagnostics
      with the LSP mode (`debputy lint` was unaffected).
    - Properly detect unused debhelper config files under `full`
      integration.
    - Flag substvars as `macro` in the semantic tokens. Editors that use
      semantic tokens for highlighting can now highlight substvars distinctly
      from the surrounding text.
    - Emit comment tokens for comments inside unknown fields in the semantic
      token feature. For editors that use semantic tokens for syntax
      highlighting, these inline value comments are now properly highlighted.
    - Consider relations with arch or build profile restrictions as complex
      to reduce false positives (at the cost of false negative) for duplicated
      relations.
    - Do not consider hidden files as patches. This avoids triggering
      "Unused Patch" diagnostics for `debian/patches/series" for editor
      swap files that were hidden but did not match the previous known
      patterns.
    - Make severanl of the LSP features (diagnostics, semantic tokens, and
      inlay hints) asynchronous. These requests will no longer stall
      `debputy` until responded. This will make `debputy` seem more
      responsive on larger files like `linux` (its generated `d/control`
      is 0.5 MB).
      Note that other requests (completion, hover) are still synchronous
      and will block other requests (including ongoing asynchronous ones).

  * debputy lsp server: Correctly track partial diagnostic reports
    internally. The previous version did not emit partial diagnostic
    reports, so this bug could not trigger any unintended behavio (
    but probably would have down the line).

 -- Niels Thykier <niels@thykier.net>  Mon, 10 Mar 2025 22:11:30 +0000
