## debputy 0.1.67~bpo12+1

=== debian/changelog ===
debputy (0.1.67~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies. They are present
      in -backports now but the CI is using stable and
      therefore fails. The relevant dependencies are currently
      1:1 with testing and the CI has working tests for them
      in sid/testing.

 -- Niels Thykier <niels@thykier.net>  Mon, 17 Mar 2025 16:36:13 +0000

debputy (0.1.67) unstable; urgency=medium

  * debputy: Flush command output. When printing what build system
    command is being run, flush the command so it appears before
    its output to reduce confusion.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * cmake: Add missing -DCMAKE_INSTALL_LIBDIR to match what
    `debhelper` does. This fixes a problem with cross-builds, but
    native builds seems unaffected. Presumably, the Debian `cmake`
    has a built-in default to apply the correct value here.
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * debputy: Fix crash on creating dbgsym packages and other cases,
    where `debputy` would include a symlink in the package without
    a FS backed symlink behind it.
    Thanks to Andrea Pappacoda <tachi@debian.org> (Closes: #1100154)

 -- Niels Thykier <niels@thykier.net>  Thu, 13 Mar 2025 16:50:42 +0000
