## debputy 0.1.67.1~bpo12+1

=== debian/changelog ===
debputy (0.1.67.1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Remaining delta compared to testing:
    - Remove two optional build-dependencies. They are present
      in -backports now but the CI is using stable and
      therefore fails. The relevant dependencies are currently
      1:1 with testing and the CI has working tests for them
      in sid/testing.

 -- Niels Thykier <niels@thykier.net>  Mon, 26 May 2025 14:58:17 +0000

debputy (0.1.67.1) unstable; urgency=medium

  [ Colin Watson ]
  * Fix spelling of Maintainer field error in diagnostic
    message.

  [ Niels Thykier ]
  * debputy: Fix crash with `debputy lint --auto-fix`

 -- Niels Thykier <niels@thykier.net>  Mon, 21 Apr 2025 18:00:45 +0000
