=== debian/control ===
--- 
+++ 
@@ -14,9 +14,7 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
- python3-lsprotocol <!nocheck !pkg.debputy.bookworm-backports>,
  python3-polib <pkg.debputy.test-coverage pkg.debputy.developer-dependencies>,
- python3-pygls <!nocheck !pkg.debputy.minimal-tests !pkg.debputy.bookworm-backports>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
