## debputy 0.1.67.1

=== debian/rules ===
#!/usr/bin/make -f

export DEBPUTY_CMD=$(CURDIR)/debputy.sh

%:
	$(DEBPUTY_CMD) --plugin self-hosting-plugins/debputy-self-hosting.json internal-command dpkg-build-driver-run-task $@
