## debputy 0.1.68

=== debian/changelog ===
debputy (0.1.68) experimental; urgency=medium

  * LSP/Reformat:
    - The `black` style now rewrites field names to use the canonical
      spelling of fields for fields where `debputy` knows the canonical
      name. Unknown fields remain in their current case/spelling.

  * LSP/Lint:
    - Improve performance of semantic tokens request (LSP only), diagnostics
      (both LSP and `debputy lint` side), and inlay hints (LSP only).
    - Add more sematic tokens for relationship fields
    - Conditionally use `TextDocumentEdit` if the LSP client supports them.
      (bring us one step closer to supporting quick fixes that renames files)
    - Use plugin data for known packaging files to prevent false-positive
      prevention. This also avoids double maintenance of known packaging
      files.
    - Fix crash on typo of key in YAML based files
    - Recognize `.rst` and `.config` as non-typo extensions for files in
      the `debian/` directory.
    - Fix problem where raw type was shown instead of real type in the
      hover docs.
    - Improve YAML value validation to cover more cases. There are still
      constructs where the validation should catch errors but where the
      diagnostic code does not yet have a case for it.
    - Fix quick fix for `manifest-version` value not being quoted. That is,
      using the quick fix caused a diagnostic error. To add insult to injury,
      said error would have a quick fix that did not fix the error.
    - Hide integration mode text from hover docs in d/upstream/metadata
    - Fix crash/exception on completion in completely empty YAML files
    - Make it configurable if syntactical comments are spellchecked
      (Closes: debputy#125)
    - Provide completion suggestions in more cases for YAML based formats
    - Suggest dpkg makefiles as completion in d/rules after `include`
    - Support plugin provided manifest variables in completion + hover in
      `debputy.manifest`.
    - Tweak diagnostic message for using hook targets for inactive dh
      commands.
    - Define two more known substvars in `d/control` by providing hover
      docs and completion suggestions for them.
    - Add `vim-debian` ID for `debian/tests/control` after they added the
      support for it this week in the mainline. Relevant editor config
      snippet examples have been updated.
    - Add more checks of the sign-off line in `d/changelog`
    - Improve completion of variables in `debputy.manifest`. Notably,
      it is now possible to complete them inside an incomplete quote
      (which is a common case for them, since they require quoting).

  * Manifest:
    - All `debputy` provided build systems now accept a `test-rule`
      attribute. It can be used to control when tests should be run
      or when tests should be non-fatal.
    - The definition of the `not` conditional has been corrected.
      It previously allowed an invalid form as well as the intended.
      The invalid form has now been removed.
    - The `for` attributes in build systems now support basic package
      selectors like `arch:all` in addition to plain package names.

  * Plugin API:
    - Add new preferred way for Python plugins to initialize

  * Add `debian/lrc.config` as a known Debian packaging file,
    which also means it is no longer a false positive for the typo
    detection of packaging files in the `debian/` directory.
    (Closes: debputy#135)
  * debputy: Provide clearer error on some types of invalid plugins
  * MANIFEST-FORMAT.md: Create a section on type mappings including
    a full listing of all type mappings provided by `debputy`.
  * Ensure generated MANIFEST-FORMAT.md always ends with a newline
  * MANIFEST-FORMAT.md: Use literal markup for "enum"-like values
  * Set HOME and XDG_RUNTIME_DIR during build similar to `debhelper`.
  * Refactor to ensure dest_dirs from build systems are computed in build env.
    This did not matter for any `debputy` provided build system, but will
    likely be relevant for some third party build systems down the line.
  * Build system: Cache output of `dpkg-buildflags` calls with same `DEB_*`
    env.
  * Fix problem where raw type was shown instead of real type in the static
    docs and in the CLI output for showing docs.
  * debputy: Be more lenient when parsing the LSP/lint config file
  * Support building basic LSP/lint-only version of `debputy` via hatchling
  * Bump Standards-Versions to 4.7.2
  * Enable support for `debian/package.udev` files again
  * migrate-from-dh: Recognise `zz-debputy-rrr` as known
  * debputy: Add a `Commands` field to `.deb` packages (but not `.udeb`)
    for packages that contains binaries in path to `command-not-found`
    (see #638517).
  * debputy: Work around `debhelper` or old `libjson-pp-perl` bug. This
    could cause `debputy` emit false positives for most of the files
    in the `debian/` directory. The problem can be avoided by installing
    either this version of `debputy`, `debhelper/13.25`, or
    `libjson-pp-perl/4.16000-1`. The `trixie` version of `perl` comes
    with the relevant version of `libjson-pp-perl` implied, which is
    why this problem was not reproducible in `trixie`.

 -- Niels Thykier <niels@thykier.net>  Tue, 15 Jul 2025 05:21:31 +0000
