## debputy 0.1.69

=== debian/changelog ===
debputy (0.1.69) experimental; urgency=medium

  * LSP/Reformat:
    - Fix bug that could eat field comments when the
      field was reformatted.
      Thanks to Chris Hofstaedtler <zeha@debian.org>
      (Closes: debputy#140)
    - Fix crash bug caused by overlapping edits. The
      bug that caused overlapping edits was introduced
      in 0.1.68.

  * Fix LSP feature check for `spellchecking`. It checked
    the wrong import was present and therefore the answer
    did not reflect reality.
  * Disable `dwz` to match `debhelper`. The migration of
    `arch:any` packages now assumes compat 14 semantics
    for this reason.

 -- Niels Thykier <niels@thykier.net>  Sat, 19 Jul 2025 06:12:03 +0000
