=== debian/control ===
--- 
+++ 
@@ -14,7 +14,9 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
+ python3-lsprotocol <!nocheck !pkg.debputy.bookworm-backports>,
  python3-polib <pkg.debputy.test-coverage pkg.debputy.developer-dependencies>,
+ python3-pygls <!nocheck !pkg.debputy.minimal-tests !pkg.debputy.bookworm-backports>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
@@ -25,7 +27,7 @@
  strip-nondeterminism <!nocheck>,
 Rules-Requires-Root: no
 X-Style: black
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://salsa.debian.org/debian/debputy
 Vcs-Git: https://salsa.debian.org/debian/debputy.git
 Vcs-Browser: https://salsa.debian.org/debian/debputy
