## debputy 0.1.70

=== debian/changelog ===
debputy (0.1.70) experimental; urgency=medium

  * LSP/Lint+Reformat:
    - More strict deb822 checks before activating features

  * LSP/Lint:
    - Initial support for version 5 `debian/watch` files
    - The `Priority` field now defaults to `optional`

  * LSP/Reformat:
    - Fix a limitation that prevented some automatic
      rewrites of fields into their canonical form.
      It was previously only observed with
      `XC-Package-Type` but it is more apparent with
      with the new `debian/watch` support.

  * debputy reformat: Accept `--write-style` option
  * debputy lsp server: Work around KDE#506664 to reduce
    the noise in LSP output.

 -- Niels Thykier <niels@thykier.net>  Mon, 28 Jul 2025 08:48:26 +0000
