## debputy 0.1.71

=== debian/changelog ===
debputy (0.1.71) unstable; urgency=medium

  * Upload to unstable.

 -- Niels Thykier <niels@thykier.net>  Sun, 10 Aug 2025 06:55:29 +0000
