## debputy 0.1.72

=== debian/changelog ===
debputy (0.1.72) unstable; urgency=medium

  * LSP/Lint:
    - Update `d/watch` metadata to match recent changes
    - Add check for `Format` using `https://` in `d/copyright`

  [ Niels Thykier ]
  * doc: Provide a reading guide for the lint + LSP features
  * d/control: Remove explicit `Priority` field

  [ Ananthu C V ]
  * debian-wordlist.dic: make the lsp recognize some of the rust world

 -- Niels Thykier <niels@thykier.net>  Tue, 19 Aug 2025 20:19:36 +0000
