## debputy 0.1.73

=== debian/changelog ===
debputy (0.1.73) unstable; urgency=medium

  * migrate-from-dh:
    - Add support for common configuration of packages
      maintained in `git`. When `git` is detected,
      `--apply-changes` is now the default and the changes
      will be registered with `git`, so they are easier to
      commit or undo.
    - Add `dh-single-to-multi-binary` migration target, which
      can assist with migrating from a single-binary to a
      multi-binary source package with debhelper.
    - Add `dh-package-prefixed-config-files` migration target,
      which will add an explicit package prefix to all
      recognizable debhelper config files. The `debhelper`
      framework requires this for multi-binary source packages
      as of compat 14+. This migration is a subset of the
      `dh-single-to-multi-binary` migration.

  [ Ananthu C V ]
  * debian-wordlist.dic: add more tooling a programming language
    related common jargon for Lint/LSP recognition

 -- Niels Thykier <niels@thykier.net>  Sun, 24 Aug 2025 07:53:59 +0000
