## debputy 0.1.74.1

=== debian/changelog ===
debputy (0.1.74.1) unstable; urgency=medium

  * Include missing file

 -- Niels Thykier <niels@thykier.net>  Tue, 26 Aug 2025 18:54:21 +0000

debputy (0.1.74) unstable; urgency=medium

  * LSP/Lint:
    - Add `X-DH-Compat` as known `d/control` field
    - Document `debputy` and `debian-rules` build drivers

  * debputy: Speed start up time for some subcommands.
  * debputy: Avoid defaulting to `debhelper`'s `none` build system

 -- Niels Thykier <niels@thykier.net>  Tue, 26 Aug 2025 18:51:57 +0000
