## debputy 0.1.75

=== debian/changelog ===
debputy (0.1.75) unstable; urgency=medium

  * Manifest:
    - Fix a bug where two keywords where parsed but ignored.
      The `installation-search-dirs` and the `conffile-management` keys
      under `packages.<PACKAGE>` would be full parsed, validated and
      then silently ignored due to a bug in `debputy`.
    - Add `remove-during-clean`. This is `debputy`'s answer to
      `debian/clean` from `dh_clean`.  Thanks to
      Paride Legovini <paride@debian.org> for reporting the missing
      feature.

  * migrate-from-dh:
    - Support migrating `d/clean` files to the new
      `remove-during-clean` feature.

 -- Niels Thykier <niels@thykier.net>  Sat, 30 Aug 2025 09:30:31 +0000

debputy (0.1.74.2) unstable; urgency=medium

  * LSP/Lint: Fix metadata mismatch where `X-DH-Compat` was a binary field

 -- Niels Thykier <niels@thykier.net>  Wed, 27 Aug 2025 16:33:53 +0000
