=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: debputy
 Section: devel
-Priority: optional
 Maintainer: Debputy Maintainers <debputy@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
