## debputy 0.1.76~bpo13+1

=== debian/changelog ===
debputy (0.1.76~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Niels Thykier <niels@thykier.net>  Sat, 20 Sep 2025 17:21:33 +0000

debputy (0.1.76) unstable; urgency=medium

  * LSP/Lint:
    - Add `Version-Type` field metadata for `d/watch`

  * debputy: Ensure relationship substvars are inserted in stable
    order.

 -- Niels Thykier <niels@thykier.net>  Mon, 15 Sep 2025 18:08:21 +0000
