## debputy 0.1.76~bpo13+2

=== debian/changelog ===
debputy (0.1.76~bpo13+2) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Source-only upload

 -- Niels Thykier <niels@thykier.net>  Mon, 22 Sep 2025 05:32:39 +0000
