## debputy 0.1.76ubuntu1

=== debian/changelog ===
debputy (0.1.76ubuntu1) questing; urgency=medium

  * Adapt compute_output_filename to know about variants.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Oct 2025 06:44:45 +1300
