=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: debputy
 Section: devel
-Maintainer: Debputy Maintainers <debputy@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debputy Maintainers <debputy@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
