## debputy 0.1.77~bpo13+1

=== debian/changelog ===
debputy (0.1.77~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Niels Thykier <niels@thykier.net>  Tue, 30 Sep 2025 16:42:30 +0000

debputy (0.1.77) unstable; urgency=medium

  * LSP/Lint:
    - Add support for new `uscan` templates

  * LSP/Reformat:
    - LSP/Reformat: Recognise `debian/gitlab-ci.yml`

  * migrate-from-dh:
   - Remove invalid min-compat check for dh-compat migrations
   - Cope better with `../foo` paths in `dh` config files.
     Either map to `debian/foo` or provide a better error
     message, when unsupported.

  * Plugin API:
    - Improve support for modern types

  * debputy: Use `difflib` rather than forking `diff -u` for diffs
  * debputy: Add support for `X-Doc-Main-Package`
  * debputy: fix potential crash (`NameError`) under `migrate-from-dh`

 -- Niels Thykier <niels@thykier.net>  Fri, 26 Sep 2025 18:27:40 +0000
