## debputy 0.1.78~bpo13%2B1

=== debian/changelog ===
debputy (0.1.78~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Niels Thykier <niels@thykier.net>  Wed, 15 Oct 2025 18:54:37 +0000

debputy (0.1.78) unstable; urgency=medium

  * LSP/Lint:
    - Add check of canonical spelling of maintainer names.
    - Provide bug links for `d/changelog` for the most
      recent bugs.

 -- Niels Thykier <niels@thykier.net>  Sun, 12 Oct 2025 11:44:43 +0000
