## debputy 0.1.78

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: debputy
 Section: devel
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debputy Maintainers <debputy@packages.debian.org>
+Maintainer: Debputy Maintainers <debputy@packages.debian.org>
 Uploaders:
  Niels Thykier <niels@thykier.net>,
 Build-Depends:
@@ -14,9 +13,9 @@
  python3-debian,
  python3-hunspell <!nocheck>,
  python3-levenshtein <pkg.debputy.ci>,
- python3-lsprotocol <!nocheck !pkg.debputy.bookworm-backports>,
+ python3-lsprotocol <!nocheck>,
  python3-polib <pkg.debputy.test-coverage pkg.debputy.developer-dependencies>,
- python3-pygls <!nocheck !pkg.debputy.minimal-tests !pkg.debputy.bookworm-backports>,
+ python3-pygls <!nocheck !pkg.debputy.minimal-tests>,
  python3-pytest <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <pkg.debputy.test-coverage>,
