## debputy 0.1.79

=== debian/changelog ===
debputy (0.1.79) unstable; urgency=medium

  * Backwards Incompatibility:
    - Install `debian/pkg.modprobe` files under `/usr/lib/modprobe.d`.
      No packages using `debputy` in Debian used this feature yet,
      so the change was done without migration. If you migrate a
      package using `debian/pkg.modprobe`, please consider adding
      `dh-debputy (>= 0.1.79~)` as Build-Dependency to ensure there
      are no surprises with backports (etc.).

  * Manifest changes:
    - Add `built-using` and `static-built-using` keywords to enable
      `debputy` to generate `Built-Using` and `Static-Built-Using`
      for you. This replaces the `dh-sequence-builtusing` when
      using either `full` or `dh-sequence-zz-debputy` integration
      mode.  (Closes: #1121339)

  * migrate-from-dh:
    - Detect and provide manual instructions for migrating from
      `dh-builtusing` in `dh-sequence-zz-debputy` or `full`
      integration mode.

  * Plugin API:
    - Manifest detectors can now access some of the pluggable
      manifest rules via the context.

  [ Michael Hudson-Doyle ]
  * debputy: Support Ubuntu's `Architecture-Variant` when deciding
    the output file name for binary packages.

  [ Nicolas Boulenguez ]
  * Design and implement the `built-using` and `static-built-using`
    feature based on `dh-builtusing`.

  [ Niels Thykier ]
  * debputy: Recognise `.org` as common upstream changelog extension.
    This is to match `dh_installchangelogs`.
  * Generated prerm: Validate that `python3` works before calling
    `py3clean`. This is to match what `dh-python` does.

 -- Niels Thykier <niels@thykier.net>  Sun, 28 Dec 2025 12:07:00 +0000
